<Module name="main">
    <Dir name="res" text="./data"/>
    <Preload text="./test_dir"/>

    <Run name="infos">
        <Print  text="INFOS"/>
        <Print  select="/" text="%(name)s"/>
        <Query  select="/" text="stats"/>
    </Run>

    <Run name="start">
        <Print  text="START"/>
        <Query  select="/**/[Module]/*/[Thread]" text="start"/>
        <New  select="/**/[Module]" text="Data"/>
        <Set  select="/*/**/[Module]/*/[Data]" attr="name" text="XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"/>
        <Query  select="/" text="tree"/>
    </Run>

    <Run name="read">
        <Print  text="READ"/>
        <TextReader  select="/**/[Dir]/*/[File]"/>
        <Query  select="/**/[Module]/*/[Dir]" text="tree">
            <Print  select="*/[File]/*" text="DATA %(name)s %(text)s"/>
        </Query>
    </Run>

      <Thread>
        <Sleep text="2.0"/>
        <Print  text="RESULT thread on node %(name)s"/>
        <Command text="ls"/>
        <Command text="tree"/>
        <Command text="tree .."/>
    </Thread>  

</Module>
